#1433 closed defect (fixed)

BDBUF cache read error recovery with a waiter

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 4.10
Component: lib/block Version: 4.10
Severity: normal Keywords:
Cc: thomas.doerfler@…, nbkolchin@…, sebastian.huber@…, Oleg.Kravtsov@… Blocked By:
Blocking:

Description

An error reading a block can result in another thread block waiting for that buffer to think the block has been read in the cache. Waiters in rtems_bdbuf_get_buffer should retry the whole process again rather than just assume the buffer was read correctly.

Attachments (1)

read_err.patch (3.0 KB) - added by Oleg on Nov 4, 2009 at 4:12:15 PM.
This is the proposed patch

Download all attachments as: .zip

Change History (6)

comment:1 Changed on Sep 29, 2009 at 6:14:43 AM by Nickolay Semyonov-Kolchin

Cc: Nickolay Semyonov-Kolchin added

comment:2 Changed on Nov 4, 2009 at 3:21:11 PM by Oleg

Cc: Oleg added

Changed on Nov 4, 2009 at 4:12:15 PM by Oleg

Attachment: read_err.patch added

This is the proposed patch

comment:3 Changed on Nov 4, 2009 at 4:14:49 PM by Oleg

Cc: sebastian.huber@… thomas.doerfler@… added

comment:4 Changed on May 17, 2010 at 7:38:59 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

Test block08 passes now all tests. I consider this as fixed.

See also Bug 1518.

comment:5 Changed on Oct 10, 2017 at 6:49:19 AM by Sebastian Huber

Component: fslib/block
Note: See TracTickets for help on using tickets.